Network Rules

Create Network Rule

POST
/v0/project/{idOrSlug}/network-rules

Authorization

apiKeyAuth
x-api-key<token>

FastStats API key. Pass it in the x-api-key header or as a Bearer token in the Authorization header.

In: header

Path Parameters

idOrSlug*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v0/project/string/network-rules" \  -H "Content-Type: application/json" \  -d '{    "ipAddress": "string",    "allowed": true  }'
{
  "id": "string",
  "projectId": "string",
  "ipAddress": "string",
  "allowed": true,
  "createdAt": "string"
}
{
  "_tag": "NetworkRuleValidationError",
  "message": "string"
}
{
  "_tag": "UnauthorizedError",
  "message": "string"
}
{
  "_tag": "ForbiddenError",
  "message": "string",
  "code": "string"
}
{
  "_tag": "NotFoundError",
  "message": "string"
}